Package ghidra.app.util.bin.format.ne

# Class WindowsHeader

java.lang.Object
ghidra.app.util.bin.format.ne.WindowsHeader

public class WindowsHeader extends Object
A class to represent and parse the Windows new-style executable (NE) header.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `IMAGE_NE_SIGNATURE`
  The magic number for Windows NE files.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WindowsHeader(BinaryReader reader, SegmentedAddress baseAddr, short index)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntryTable`
  `getEntryTable()`
  Returns the entry table.
  `ImportedNameTable`
  `getImportedNameTable()`
  Returns the imported name table.
  `InformationBlock`
  `getInformationBlock()`
  Returns the information block.
  `ModuleReferenceTable`
  `getModuleReferenceTable()`
  Returns the module reference table.
  `NonResidentNameTable`
  `getNonResidentNameTable()`
  Returns the non-resident name table.
  `String`
  `getProcessorName()`
  Returns the processor name.
  `ResidentNameTable`
  `getResidentNameTable()`
  Returns the resident name table.
  `ResourceTable`
  `getResourceTable()`
  Returns the resource table.
  `SegmentTable`
  `getSegmentTable()`
  Returns the segment table.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMAGE_NE_SIGNATURE

    public static final short IMAGE_NE_SIGNATURE
    The magic number for Windows NE files.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WindowsHeader

    public WindowsHeader(BinaryReader reader, SegmentedAddress baseAddr, short index) throws InvalidWindowsHeaderException, IOException
    Constructor
    Parameters:
      `reader` - the binary reader
      `baseAddr` - the image base address
      `index` - the index where the windows headers begins
    Throws:
      `InvalidWindowsHeaderException` - if the bytes defined in the binary reader at the specified index do not constitute a valid windows header.
      `IOException` - for problems reading the header bytes

- ## Method Details

  - ### getProcessorName

    public String getProcessorName()
    Returns the processor name.
    Returns:
      the processor name

  - ### getInformationBlock

    public InformationBlock getInformationBlock()
    Returns the information block.
    Returns:
      the information block

  - ### getSegmentTable

    public SegmentTable getSegmentTable()
    Returns the segment table.
    Returns:
      the segment table

  - ### getResourceTable

    public ResourceTable getResourceTable()
    Returns the resource table.
    Returns:
      the resource table

  - ### getResidentNameTable

    public ResidentNameTable getResidentNameTable()
    Returns the resident name table.
    Returns:
      the resident name table

  - ### getModuleReferenceTable

    public ModuleReferenceTable getModuleReferenceTable()
    Returns the module reference table.
    Returns:
      the module reference table

  - ### getImportedNameTable

    public ImportedNameTable getImportedNameTable()
    Returns the imported name table.
    Returns:
      the imported name table

  - ### getEntryTable

    public EntryTable getEntryTable()
    Returns the entry table.
    Returns:
      the entry table

  - ### getNonResidentNameTable

    public NonResidentNameTable getNonResidentNameTable()
    Returns the non-resident name table.
    Returns:
      the non-resident name table